package com.chaozhanggui.dao.system.dao;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chaozhanggui.dao.system.entity.TbPlussBankCard;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * @author lyf
 */
@Component
@Mapper
public interface TbPlussBankCardMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussBankCard record);

    int insertSelective(TbPlussBankCard record);

    TbPlussBankCard selectByPrimaryKey(Integer id);
    TbPlussBankCard selectByUserIdCert(@Param("userId") Integer userId,@Param("type") String type);

    int updateByPrimaryKeySelective(TbPlussBankCard record);

    int updateByPrimaryKey(TbPlussBankCard record);

    Integer selectCount(@Param("bankCardId")String bankCardId, @Param("userId")String userId);
}